import request from '@/utils/request'

// 查询用户讨论列表
export function listMemberDiscuss(query) {
  return request({
    url: '/hezhi/memberDiscuss/list',
    method: 'get',
    params: query
  })
}

// 查询用户讨论详细
export function getMemberDiscuss(memberDiscussId) {
  return request({
    url: '/hezhi/memberDiscuss/' + memberDiscussId,
    method: 'get'
  })
}

// 新增用户讨论
export function addMemberDiscuss(data) {
  return request({
    url: '/hezhi/memberDiscuss',
    method: 'post',
    data: data
  })
}

// 修改用户讨论
export function updateMemberDiscuss(data) {
  return request({
    url: '/hezhi/memberDiscuss',
    method: 'put',
    data: data
  })
}

// 删除用户讨论
export function delMemberDiscuss(memberDiscussId) {
  return request({
    url: '/hezhi/memberDiscuss/' + memberDiscussId,
    method: 'delete'
  })
}
